Status: Closed Priority: Won't have this time
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity: hard
Is Regression: No
Sprint Focus:
Subject: Deleted state is not persisted in file objects
Description

The deleted state of file objects of the file abstraction layer is not persisted and thus to carried to the database.
Since the concept of using the deleted flag is not used at all, additional checks and processors to set and unset the state need to be
integrated.

Related issues:
related to Core - Bug # 48336: sys_file record doesn't get flagged as delete ... Rejected 2013-05-17
related to Core - Task # 50876: Handling of deleted files in FAL New 2013-08-06

History
#1 - 2013-07-29 18:53 - Oliver Hader

Since issue #48336 has been reverted due to regressions, this is the next try to get it integrated correctly and modify the affected components of the
file abstraction layer.

#2 - 2013-09-03 21:43 - Ernesto Baschny
- Status changed from New to Needs Feedback

We now have the "missing" flag which is more semantically correct. The "deleted" flag should be dropped as decided in Mainz (#51562). So this issue
here is obsolete, right, Olly?

#3 - 2013-10-14 20:09 - Frans Saris

This issue can be closed

#4 - 2013-10-14 20:12 - Oliver Hader
- Status changed from Needs Feedback to Closed
- Priority changed from Should have to Won't have this time
- Is Regression set to No

Correct, since we have the missing file state, this one is obsolte.
